--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Create a flaggable attribute. This creates a single methods used to set an attribute to &quot;true&quot;.
- !ruby/struct:SM::Flow::VERB 
  body: "  attr_toggler :a\n"
- !ruby/struct:SM::Flow::P 
  body: is equivalent to
- !ruby/struct:SM::Flow::VERB 
  body: "  def a?\n    @a ? true : @a\n  end\n\n  def a!(value=Exception)\n    if Exception\n      @a = @a ? false : true\n    else\n      @a = value\n    end\n    self\n  end\n"
full_name: Module#attr_toggler
is_singleton: false
name: attr_toggler
params: (*args)
visibility: public
